apply plugin: 'com.android.application'
apply plugin: 'com.google.gms.google-services'
apply plugin: 'com.google.firebase.crashlytics'
apply plugin: 'org.jetbrains.kotlin.android'


android {
    namespace("com.cpm.lorealbaMabeline")
    compileSdk(35)
    defaultConfig {
        minSdkVersion 23
        applicationId "com.cpm.lorealbaMabeline"
        //noinspection OldTargetApi
        targetSdk 34
        versionCode 23
        versionName "3.1"
        multiDexEnabled true
        useLibrary 'org.apache.http.legacy'
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        ndk {
            abiFilters.add("armeabi-v7a")
            abiFilters.add("arm64-v8a")
        }

    }
    signingConfigs {
        config {
            keyAlias 'hp'
            keyPassword 'android'
            storeFile file('D:\\jeevanp_cpm_projects\\keystore\\hp.dat')
            storePassword 'android'
        }
    }
    buildTypes {
        release {
            //buildConfigField "boolean", "LOG_ENABLED", "true"
            debuggable false
            minifyEnabled false
            shrinkResources false
            signingConfig signingConfigs.config
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            firebaseCrashlytics {
                mappingFileUploadEnabled false // or false if you want to disable
            }
        }
        // 👇 Add this block to force override
    }

    android {
        compileOptions {
            sourceCompatibility JavaVersion.VERSION_17
            targetCompatibility JavaVersion.VERSION_17
        }
    }
    buildFeatures {
        viewBinding true
    }
    buildFeatures {
        buildConfig true
    }

    configurations {
        cleanedAnnotations
        implementation.exclude group: 'org.jetbrains' , module:'annotations'
    }
}
dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.appcompat:appcompat:1.7.1'
    implementation 'androidx.constraintlayout:constraintlayout:2.2.1'
    implementation 'androidx.cardview:cardview:1.0.0'
    implementation 'com.google.android.material:material:1.12.0'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    implementation 'androidx.recyclerview:recyclerview:1.4.0'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.3.0'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.7.0'
    implementation 'org.jetbrains:annotations-java5:15.0'
    //noinspection GradleDependency
    implementation 'com.squareup.retrofit2:retrofit:2.0.2'
    //noinspection GradleDependency
    implementation 'com.squareup.retrofit2:converter-gson:2.0.2'
    implementation 'com.squareup.retrofit:converter-gson:2.0.0-beta1'
    implementation 'com.github.bumptech.glide:glide:4.16.0'
    annotationProcessor 'com.github.bumptech.glide:compiler:4.15.1'
    implementation 'de.hdodenhof:circleimageview:3.1.0'
    implementation 'androidx.multidex:multidex:2.0.1'
    implementation 'com.google.code.gson:gson:2.11.0'
    // Import the BoM for the Firebase platform
    implementation platform('com.google.firebase:firebase-bom:33.15.0')
    // Declare the dependencies for the Crashlytics and Analytics libraries
    // When using the BoM, you don't specify versions in Firebase library dependencies
    implementation 'com.google.firebase:firebase-analytics'
    implementation 'com.google.firebase:firebase-crashlytics-ndk'
    implementation 'com.google.firebase:firebase-messaging'
    implementation 'com.google.android.gms:play-services-maps:19.2.0'
    implementation 'com.google.android.gms:play-services-location:21.3.0'

    implementation 'com.github.lecho:hellocharts-library:1.5.8@aar'
    implementation project(path: ':annca')
    implementation 'com.google.zxing:core:3.5.3'
    ///new lib
    implementation 'com.journeyapps:zxing-android-embedded:4.3.0'
    implementation files('libs/hoinsdk.jar')
    implementation 'com.squareup.picasso:picasso:2.5.2'
    implementation project(':library')
    implementation 'me.relex:circleindicator:1.2.2@aar'
    implementation project(':pinview')
    implementation 'com.github.delight-im:Android-AdvancedWebView:v3.0.0'
    ////Gauges Graph Android
    implementation 'com.github.Gruzer:simple-gauge-android:0.3.1'
    implementation 'com.github.PhilJay:MPAndroidChart:v3.1.0'
    implementation 'com.github.prolificinteractive:material-calendarview:2.0.0'
    implementation 'com.jakewharton.threetenabp:threetenabp:1.4.4'
    implementation files('libs/donutprogress-1.2.0.aar')
}

apply plugin: 'com.google.gms.google-services'
